Outreach Program for Women Seeks New Linux Kernel Interns
================================================================================
The interns who worked with The Linux Foundation as part of the [FOSS Outreach Program for Women][1] this summer come from diverse backgrounds and levels of experience, but they now have at least one thing in common (besides their gender). They can all add “Linux kernel hacker” to their resume.

![](http://www.linux.com/images/stories/41373/OPW-kernel-contributions-9.jpg)

*Outreach Program for Women ranked among the top contributors to Linux kernel 3.12. Source: LWN.net.*

Lisa Nguyen, Xenia Ragiadakou, Elena Ufimtseva, Laura Vasilescu and Tulin Izer were among the seven women out of 41 applicants who received $5,000 stipends each as part of the first group of OPW interns sponsored by the Linux Foundation. They worked full time with kernel developers at Intel, Oracle, and Citrix for three months and tackled projects that included the x86 boot process and vNUMA topolgy. They were also able to take advantage of a $500 travel scholarship to attend and speak at LinuxCon in New Orleans or Edinburgh.

“It's not often that I'd get to say, 'I volunteered at LinuxCon North America, spoke at LinuxCon North America, and met Linus Torvalds in three days!" said Nguyen, whose internship focused on Xen block drivers with Konrad Rzeszutek Wilk at Oracle.

In addition to learning how to build and submit kernel patches, making new friends and colleagues and generally conquering their fears, the interns made significant contributions to the Linux kernel.

“I'm not scared touching kernel code anymore,” said Izer, who worked with Peter P. Waskiewicz Jr. at Intel on parallelizing the x86 boot process. “This was my first contribution to an open source project and I'm really proud of it. I intend to keep doing this for a long time.”

### Top Kernel Contributors ###

As a group, OPW was listed as a top contributor to the 3.11 kernel, coming in No. 13 with 230 changesets submitted, according to the [August kernel report on LWN][2]. And intern Xenia Ragiadakou was among the top 10 most active developers contributing 100 changesets to 3.11.

“My main project was to add trace events and write a trace-cmd plugin for parsing the traces in human readable format to facilitate xhci (driver) debugging,” said Ragiadakou, who worked with Intel kernel developer Sarah Sharp on the project. “I learned how to use git, how to use static code analysis tools, how to send patches, how to tune my debug logs, how the usb subsystem is assembled, how xhci driver is implemented.”

On the 3.12 kernel, OPW again ranked among the top companies contributing, this time at No. 11 with 19,649 lines of code changed, [according to LWN's][3] analysis in October. That represents 2.7 percent of all changes made during this latest development cycle.

After their internships ended in September, most of the women have continued to work on the projects they started and plan to keep it up.

“I think it's cool to be a kernel contributor and I wanted to do this for some time,” said Vasilescu, who worked with Carolyn Wyborny and Anjali Singhai at Intel on features for ethtool in the igb driver.

“I still have to learn how to stop. Sometimes, oh well, often, I cannot stop,” said Ufimtseva, who worked on vNUMA topolgy for paravirtual guests in Xen with Stefano Stabellini, Dario Fargiolli and George Dunlap at Citrix. “I keep working and later it contributes into the quality of code. But it is so engaging!”

The deadline for the next round of Linux kernel internships is Nov. 11. Applicants should have some basic knowledge of C or C++ and boolean algebra. Some experience with operating systems, Linux/Unix, and Git is nice but not required. For more information on the available projects and how to apply, visit the [OPW page on Kernel Newbies][4].

### Lisa Nguyen ###

![](http://www.linux.com/images/stories/41373/lisa-nguyen-kernel-intern-2.jpg)

**Lisa Nguyen worked on Xen block drivers with Konrad Rzeszutek Wilk at Oracle.**

I earned multiple college degrees in Computer Science, Digital Forensics, and Information Security before I became an OPW kernel intern. I have used Linux continuously for the past two years, and I have taken multiple roles in the Linux community including project manager, manpage author, LinuxCon session coordinator, and kernel contributor.

**Why did you apply to work on the Linux kernel with the OPW?**

I wanted a challenge and move out of my comfort zone. I wanted to give software development another chance, because I dealt with confidence issues in the past. One day, I decided that I wanted to pursue a career in Linux instead of becoming a digital forensics analyst. The timing couldn't have been better when I read about the OPW program through the Linux Foundation's post on Google+ and thought, "What do I have to lose if I don't try?"

### Elena Ufimtseva ###

![](http://www.linux.com/images/stories/41373/elena-ufimtseva-kernel-intern.jpg)

**Elena Ufimtseva worked on vNUMA topolgy for paravirtual guests in Xen with Stefano Stabellini, Dario Fargiolli, George Dunlap at Citrix.**

I worked as a Linux system admin for quite some time and there were different projects I was a part of. I graduated with a Master Degree in Computer Science at St.-Petersburg University in Russian Federation.

**Why did you apply to work on the Linux kernel with the OPW?**

I felt I want to create software, system software, low-level. Not java :). I had that feeling that I can work on complex problems and solve them. I always check on latest Linux news and I think the one that truly caught my attention was Greg's presentation at Google a few years ago about Linux kernel development community organization and patches application process. I thought 'wow, that sounds great!'

### Laura Vasilescu ###

![](http://www.linux.com/images/stories/41373/laura-vasilescu-kernel-intern-2.jpg)

**Laura Vasilescu worked with Carolyn Wyborny and Anjali Singhai on features for ethtool in the igb driver.**

I consider myself a geek and I have a huge interest for improving the education system (especially in Romania). As a student, I volunteered myself as an undergraduate teaching assistant at my university and as a member of the Romanian Open Source Education Association. My technical expertise is in networking, operating systems and low-level programming.

**Why did you apply to work on the Linux kernel with the OPW?**

I think is cool to be a kernel contributor and I wanted to do this for some time.

### Tulin Izer ###

![](http://www.linux.com/images/stories/41373/Tulin-Izer-kernel-intern-2.jpg)

**Tulin Izer worked with Peter Waskiewicz at Intel on parallelizing the x86 boot process. **

I'm from Turkey. I'm a computer engineering student at Galatasaray University in Istanbul. This is my final year.

**Why did you apply to work on the Linux kernel with the OPW?**

I was interested in operating systems and programming in C but I didn't have any experience with kernel development, I thought this would be a good place to start.

### Xenia Ragiadakou ###

Currently I study Computer Science at the University of Crete. I have finished some other studies in the past, on Economics and on Eastern Europe Studies. The reason that I decided to change field once again is because I got bored. I don't know how that sounds. I realized that my organism needed something more applicable, creative and dynamic. So, I decided to enter the Computer Science department. Now, my spirit rests peaceful :) I think coding suits me perfectly. It 's like a game and also I enjoy the developers' mentality.

**Why did you apply to work on the Linux kernel with the OPW?**

I wanted since a long time to participate in an open source project but i was thinking that I'm not competent enough to do so. There were three factors that drove me to apply. 1) The fact that OPW is aimed at women made me feel more comfortable. 2) The fact that there were projects on linux kernel because I like working on systems. 3) The fact that the introduction to Linux kernel development was smooth and took place quite early, during the application process.

--------------------------------------------------------------------------------

via: http://www.linux.com/news/featured-blogs/200-libby-clark/746687-outreach-program-for-women-seeks-new-linux-kernel-interns/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:https://wiki.gnome.org/OutreachProgramForWomen
[2]:http://lwn.net/Articles/563977/
[3]:http://lwn.net/Articles/570483/
[4]:http://kernelnewbies.org/OPWIntro